curl --location '/api/v1/portfolios//budgets' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"budget": {
"name": "string",
"category_id": "8de4c9fd-61a4-4c0b-bf88-0ed3a0fe3fa2",
"period": "monthly",
"amount_cents": 0,
"amount_currency": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"notes": "string"
}
}'{
"success": true,
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Monthly Groceries",
"period": "monthly",
"status": "active",
"amount": {
"cents": 100000,
"currency": "IDR"
},
"category": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"kind": "string"
},
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"notes": "string",
"created_at": "2019-08-24T14:15:22.123Z",
"updated_at": "2019-08-24T14:15:22.123Z"
}
}